package eu.mikroskeem.utils.bannerparser;

public class IntegerFromString {
    public static String valueOf(int value){
        for (IntegerFromStringEnum anEnum : IntegerFromStringEnum.values()) {
            if(value == anEnum.getValue()){
                return anEnum.toString();
            }
        }
        return null;
    }

    private enum IntegerFromStringEnum {
        ONE(1),
        TWO(2),
        THREE(3),
        FOUR(4),
        FIVE(5),
        SIX(6),
        SEVEN(7),
        EIGHT(8),
        NINE(9),
        ZERO(0);

        private int value;
        IntegerFromStringEnum(int value) {
            this.value = value;
        }
        public int getValue(){
            return value;
        }
    }
}