package eu.mikroskeem.utils.bannerparser.parsers.needcoolshoes;

import org.bukkit.block.banner.PatternType;
import static org.bukkit.block.banner.PatternType.*;

class PatternParser {
    static PatternType valueOf(String a) {
        return PatternEnum.valueOf(a).getPattern();
    }

    @SuppressWarnings("unused")
    private enum PatternEnum {
        a(BASE),

        e(BRICKS),
        j(CROSS),
        z(STRAIGHT_CROSS),

        p(GRADIENT),
        K(GRADIENT_UP),

        q(HALF_HORIZONTAL_MIRROR),
        L(HALF_VERTICAL),
        H(HALF_VERTICAL_MIRROR),
        M(HALF_HORIZONTAL),

        E(STRIPE_TOP),
        f(STRIPE_BOTTOM),
        s(STRIPE_LEFT),
        y(STRIPE_RIGHT),

        r(DIAGONAL_LEFT),
        J(DIAGONAL_RIGHT_MIRROR),
        I(DIAGONAL_LEFT_MIRROR),
        x(DIAGONAL_RIGHT),

        m(STRIPE_DOWNLEFT),
        n(STRIPE_DOWNRIGHT),

        l(STRIPE_MIDDLE),
        w(STRIPE_CENTER),

        C(SQUARE_TOP_LEFT),
        b(SQUARE_BOTTOM_LEFT),
        D(SQUARE_TOP_RIGHT),
        d(SQUARE_BOTTOM_RIGHT),

        F(TRIANGLE_TOP),
        g(TRIANGLE_BOTTOM),

        v(RHOMBUS_MIDDLE),
        t(CIRCLE_MIDDLE),
        h(TRIANGLES_BOTTOM),
        G(TRIANGLES_TOP),

        B(STRIPE_SMALL),

        c(BORDER),
        i(CURLY_BORDER),
        o(FLOWER),
        k(CREEPER),
        A(SKULL),
        u(MOJANG);

        private PatternType type;
        PatternEnum(PatternType type) {
            this.type = type;
        }
        public PatternType getPattern() {
            return type;
        }
    }
}
