package eu.mikroskeem.utils.test.text;

import eu.mikroskeem.utils.text.TextUtils;
import org.junit.Assert;
import org.junit.Test;

public class TestTextUtils {
    @Test public void testSpaceWhitespace(){
        String text = "wut lel";
        Assert.assertTrue(TextUtils.hasWhitespace(text));
    }

    @Test public void testTabWhitespace(){
        String text = "wut" + '\t' + "lel";
        Assert.assertTrue(TextUtils.hasWhitespace(text));
    }

    @Test public void testNoWhitespace(){
        String text = "wut";
        Assert.assertFalse(TextUtils.hasWhitespace(text));
    }
}
